;;; -*- lexical-binding -*-

(defvar my-markers nil)

(defun make-test-buffer (n)
  (setq my-markers nil)
  (with-current-buffer (get-buffer-create "test-buffer")
    (erase-buffer)
    (dotimes (i 1000)
      (insert (format "%8d " i))
      (dotimes (_ n)
        (push (point-marker) my-markers))
      (insert "abcdefghijklmnopqrstuvwxyz\n"))))

